Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LoggerFactory Class Referenceabstract

Implement this interface to create new instances of Logger or a sub-class of Logger. More...

Inherits Object.

Inherited by DefaultLoggerFactory`[virtual]`.

## Public Member Functions
virtual | ~LoggerFactory ()
virtual LoggerPtr | makeNewLoggerInstance (log4cxx::helpers::Pool &pool, const LogString &name) const =0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

Implement this interface to create new instances of Logger or a sub-class of Logger.

## Constructor & Destructor Documentation

virtual ~LoggerFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual LoggerPtr makeNewLoggerInstance | ( | log4cxx::helpers::Pool & | pool,
|  | const LogString & | name
| ) |  | const
| pure virtual

Implemented in DefaultLoggerFactory.

The documentation for this class was generated from the following file:

- loggerfactory.h